import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::AppConfig::HostedConfigurationVersion
 */
export declare function getHostedConfigurationVersion(args: GetHostedConfigurationVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetHostedConfigurationVersionResult>;
export interface GetHostedConfigurationVersionArgs {
    /**
     * The application ID.
     */
    applicationId: string;
    /**
     * The configuration profile ID.
     */
    configurationProfileId: string;
    /**
     * Current version number of hosted configuration version.
     */
    versionNumber: string;
}
export interface GetHostedConfigurationVersionResult {
    /**
     * Current version number of hosted configuration version.
     */
    readonly versionNumber?: string;
}
/**
 * Resource Type definition for AWS::AppConfig::HostedConfigurationVersion
 */
export declare function getHostedConfigurationVersionOutput(args: GetHostedConfigurationVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetHostedConfigurationVersionResult>;
export interface GetHostedConfigurationVersionOutputArgs {
    /**
     * The application ID.
     */
    applicationId: pulumi.Input<string>;
    /**
     * The configuration profile ID.
     */
    configurationProfileId: pulumi.Input<string>;
    /**
     * Current version number of hosted configuration version.
     */
    versionNumber: pulumi.Input<string>;
}
