import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Bedrock::IntelligentPromptRouter Resource Type
 */
export declare function getIntelligentPromptRouter(args: GetIntelligentPromptRouterArgs, opts?: pulumi.InvokeOptions): Promise<GetIntelligentPromptRouterResult>;
export interface GetIntelligentPromptRouterArgs {
    /**
     * Arn of the Prompt Router.
     */
    promptRouterArn: string;
}
export interface GetIntelligentPromptRouterResult {
    /**
     * Time Stamp
     */
    readonly createdAt?: string;
    /**
     * Arn of the Prompt Router.
     */
    readonly promptRouterArn?: string;
    readonly status?: enums.bedrock.IntelligentPromptRouterPromptRouterStatus;
    /**
     * List of Tags
     */
    readonly tags?: outputs.Tag[];
    readonly type?: enums.bedrock.IntelligentPromptRouterPromptRouterType;
    /**
     * Time Stamp
     */
    readonly updatedAt?: string;
}
/**
 * Definition of AWS::Bedrock::IntelligentPromptRouter Resource Type
 */
export declare function getIntelligentPromptRouterOutput(args: GetIntelligentPromptRouterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIntelligentPromptRouterResult>;
export interface GetIntelligentPromptRouterOutputArgs {
    /**
     * Arn of the Prompt Router.
     */
    promptRouterArn: pulumi.Input<string>;
}
