import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::Bedrock::PromptVersion Resource Type
 */
export declare function getPromptVersion(args: GetPromptVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetPromptVersionResult>;
export interface GetPromptVersionArgs {
    /**
     * ARN of a prompt version resource
     */
    arn: string;
}
export interface GetPromptVersionResult {
    /**
     * ARN of a prompt version resource
     */
    readonly arn?: string;
    /**
     * Time Stamp.
     */
    readonly createdAt?: string;
    /**
     * A KMS key ARN
     */
    readonly customerEncryptionKeyArn?: string;
    /**
     * Name for a variant.
     */
    readonly defaultVariant?: string;
    /**
     * Name for a prompt resource.
     */
    readonly name?: string;
    /**
     * Identifier for a Prompt
     */
    readonly promptId?: string;
    /**
     * Time Stamp.
     */
    readonly updatedAt?: string;
    /**
     * List of prompt variants
     */
    readonly variants?: outputs.bedrock.PromptVersionPromptVariant[];
    /**
     * Version.
     */
    readonly version?: string;
}
/**
 * Definition of AWS::Bedrock::PromptVersion Resource Type
 */
export declare function getPromptVersionOutput(args: GetPromptVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPromptVersionResult>;
export interface GetPromptVersionOutputArgs {
    /**
     * ARN of a prompt version resource
     */
    arn: pulumi.Input<string>;
}
