"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceVersion = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * A resource that has been registered in the CloudFormation Registry.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const resourceVersion = new aws_native.cloudformation.ResourceVersion("resourceVersion", {
 *     typeName: "My::Sample::Resource",
 *     schemaHandlerPackage: "s3://my-sample-resourceversion-bucket/my-sample-resource.zip",
 * });
 * const resourceDefaultVersion = new aws_native.cloudformation.ResourceDefaultVersion("resourceDefaultVersion", {typeVersionArn: resourceVersion.id});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const resourceVersion = new aws_native.cloudformation.ResourceVersion("resourceVersion", {
 *     typeName: "My::Sample::Resource",
 *     schemaHandlerPackage: "s3://my-sample-resourceversion-bucket/my-sample-resource.zip",
 * });
 * const resourceDefaultVersion = new aws_native.cloudformation.ResourceDefaultVersion("resourceDefaultVersion", {typeVersionArn: resourceVersion.id});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const resourceVersion = new aws_native.cloudformation.ResourceVersion("resourceVersion", {
 *     typeName: "My::Sample::Resource",
 *     schemaHandlerPackage: "s3://my-sample-resourceversion-bucket/my-sample-resource.zip",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const resourceVersion = new aws_native.cloudformation.ResourceVersion("resourceVersion", {
 *     typeName: "My::Sample::Resource",
 *     schemaHandlerPackage: "s3://my-sample-resourceversion-bucket/my-sample-resource.zip",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const resourceVersion = new aws_native.cloudformation.ResourceVersion("resourceVersion", {
 *     typeName: "My::Sample::Resource",
 *     schemaHandlerPackage: "s3://my-sample-resourceversion-bucket/my-sample-resource.zip",
 * });
 * const resourceDefaultVersion = new aws_native.cloudformation.ResourceDefaultVersion("resourceDefaultVersion", {typeVersionArn: resourceVersion.id});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const resourceVersion = new aws_native.cloudformation.ResourceVersion("resourceVersion", {
 *     typeName: "My::Sample::Resource",
 *     schemaHandlerPackage: "s3://my-sample-resourceversion-bucket/my-sample-resource.zip",
 * });
 * const resourceDefaultVersion = new aws_native.cloudformation.ResourceDefaultVersion("resourceDefaultVersion", {typeVersionArn: resourceVersion.id});
 *
 * ```
 */
class ResourceVersion extends pulumi.CustomResource {
    /**
     * Get an existing ResourceVersion resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ResourceVersion(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ResourceVersion.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ResourceVersion.__pulumiType;
    }
    /**
     * Create a ResourceVersion resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.schemaHandlerPackage === undefined) && !opts.urn) {
                throw new Error("Missing required property 'schemaHandlerPackage'");
            }
            if ((!args || args.typeName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'typeName'");
            }
            resourceInputs["executionRoleArn"] = args ? args.executionRoleArn : undefined;
            resourceInputs["loggingConfig"] = args ? args.loggingConfig : undefined;
            resourceInputs["schemaHandlerPackage"] = args ? args.schemaHandlerPackage : undefined;
            resourceInputs["typeName"] = args ? args.typeName : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["isDefaultVersion"] = undefined /*out*/;
            resourceInputs["provisioningType"] = undefined /*out*/;
            resourceInputs["typeArn"] = undefined /*out*/;
            resourceInputs["versionId"] = undefined /*out*/;
            resourceInputs["visibility"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["executionRoleArn"] = undefined /*out*/;
            resourceInputs["isDefaultVersion"] = undefined /*out*/;
            resourceInputs["loggingConfig"] = undefined /*out*/;
            resourceInputs["provisioningType"] = undefined /*out*/;
            resourceInputs["schemaHandlerPackage"] = undefined /*out*/;
            resourceInputs["typeArn"] = undefined /*out*/;
            resourceInputs["typeName"] = undefined /*out*/;
            resourceInputs["versionId"] = undefined /*out*/;
            resourceInputs["visibility"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["executionRoleArn", "loggingConfig", "schemaHandlerPackage", "typeName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ResourceVersion.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ResourceVersion = ResourceVersion;
/** @internal */
ResourceVersion.__pulumiType = 'aws-native:cloudformation:ResourceVersion';
//# sourceMappingURL=resourceVersion.js.map