import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::PhoneNumber
 */
export declare function getPhoneNumber(args: GetPhoneNumberArgs, opts?: pulumi.InvokeOptions): Promise<GetPhoneNumberResult>;
export interface GetPhoneNumberArgs {
    /**
     * The phone number ARN
     */
    phoneNumberArn: string;
}
export interface GetPhoneNumberResult {
    /**
     * The phone number e164 address.
     */
    readonly address?: string;
    /**
     * The description of the phone number.
     */
    readonly description?: string;
    /**
     * The phone number ARN
     */
    readonly phoneNumberArn?: string;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ARN of the target the phone number is claimed to.
     */
    readonly targetArn?: string;
}
/**
 * Resource Type definition for AWS::Connect::PhoneNumber
 */
export declare function getPhoneNumberOutput(args: GetPhoneNumberOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPhoneNumberResult>;
export interface GetPhoneNumberOutputArgs {
    /**
     * The phone number ARN
     */
    phoneNumberArn: pulumi.Input<string>;
}
