import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Connect::ViewVersion
 */
export declare function getViewVersion(args: GetViewVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetViewVersionResult>;
export interface GetViewVersionArgs {
    /**
     * The Amazon Resource Name (ARN) of the created view version.
     */
    viewVersionArn: string;
}
export interface GetViewVersionResult {
    /**
     * The version of the view.
     */
    readonly version?: number;
    /**
     * The description for the view version.
     */
    readonly versionDescription?: string;
    /**
     * The Amazon Resource Name (ARN) of the created view version.
     */
    readonly viewVersionArn?: string;
}
/**
 * Resource Type definition for AWS::Connect::ViewVersion
 */
export declare function getViewVersionOutput(args: GetViewVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetViewVersionResult>;
export interface GetViewVersionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the created view version.
     */
    viewVersionArn: pulumi.Input<string>;
}
