import * as pulumi from "@pulumi/pulumi";
/**
 * This resource schema represents the LogAnomalyDetectionIntegration resource in the Amazon DevOps Guru.
 */
export declare function getLogAnomalyDetectionIntegration(args: GetLogAnomalyDetectionIntegrationArgs, opts?: pulumi.InvokeOptions): Promise<GetLogAnomalyDetectionIntegrationResult>;
export interface GetLogAnomalyDetectionIntegrationArgs {
    /**
     * The account ID associated with the integration of DevOps Guru with CloudWatch log groups for log anomaly detection.
     */
    accountId: string;
}
export interface GetLogAnomalyDetectionIntegrationResult {
    /**
     * The account ID associated with the integration of DevOps Guru with CloudWatch log groups for log anomaly detection.
     */
    readonly accountId?: string;
}
/**
 * This resource schema represents the LogAnomalyDetectionIntegration resource in the Amazon DevOps Guru.
 */
export declare function getLogAnomalyDetectionIntegrationOutput(args: GetLogAnomalyDetectionIntegrationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLogAnomalyDetectionIntegrationResult>;
export interface GetLogAnomalyDetectionIntegrationOutputArgs {
    /**
     * The account ID associated with the integration of DevOps Guru with CloudWatch log groups for log anomaly detection.
     */
    accountId: pulumi.Input<string>;
}
