import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::EC2::NetworkInsightsPath
 */
export declare function getNetworkInsightsPath(args: GetNetworkInsightsPathArgs, opts?: pulumi.InvokeOptions): Promise<GetNetworkInsightsPathResult>;
export interface GetNetworkInsightsPathArgs {
    /**
     * The ID of the path.
     */
    networkInsightsPathId: string;
}
export interface GetNetworkInsightsPathResult {
    /**
     * The time stamp when the path was created.
     */
    readonly createdDate?: string;
    /**
     * The Amazon Resource Name (ARN) of the destination.
     */
    readonly destinationArn?: string;
    /**
     * The Amazon Resource Name (ARN) of the path.
     */
    readonly networkInsightsPathArn?: string;
    /**
     * The ID of the path.
     */
    readonly networkInsightsPathId?: string;
    /**
     * The Amazon Resource Name (ARN) of the source.
     */
    readonly sourceArn?: string;
    /**
     * The tags to add to the path.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::EC2::NetworkInsightsPath
 */
export declare function getNetworkInsightsPathOutput(args: GetNetworkInsightsPathOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNetworkInsightsPathResult>;
export interface GetNetworkInsightsPathOutputArgs {
    /**
     * The ID of the path.
     */
    networkInsightsPathId: pulumi.Input<string>;
}
