import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::SecurityGroupIngress
 */
export declare function getSecurityGroupIngress(args: GetSecurityGroupIngressArgs, opts?: pulumi.InvokeOptions): Promise<GetSecurityGroupIngressResult>;
export interface GetSecurityGroupIngressArgs {
    /**
     * The Security Group Rule Id
     */
    id: string;
}
export interface GetSecurityGroupIngressResult {
    /**
     * Updates the description of an ingress (inbound) security group rule. You can replace an existing description, or add a description to a rule that did not have one previously
     */
    readonly description?: string;
    /**
     * The Security Group Rule Id
     */
    readonly id?: string;
}
/**
 * Resource Type definition for AWS::EC2::SecurityGroupIngress
 */
export declare function getSecurityGroupIngressOutput(args: GetSecurityGroupIngressOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSecurityGroupIngressResult>;
export interface GetSecurityGroupIngressOutputArgs {
    /**
     * The Security Group Rule Id
     */
    id: pulumi.Input<string>;
}
