import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for Local Gateway Route Table Virtual Interface Group Association which describes a local gateway route table virtual interface group association for a local gateway.
 */
export declare class LocalGatewayRouteTableVirtualInterfaceGroupAssociation extends pulumi.CustomResource {
    /**
     * Get an existing LocalGatewayRouteTableVirtualInterfaceGroupAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): LocalGatewayRouteTableVirtualInterfaceGroupAssociation;
    /**
     * Returns true if the given object is an instance of LocalGatewayRouteTableVirtualInterfaceGroupAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is LocalGatewayRouteTableVirtualInterfaceGroupAssociation;
    /**
     * The ID of the local gateway.
     */
    readonly localGatewayId: pulumi.Output<string>;
    /**
     * The ARN of the local gateway route table.
     */
    readonly localGatewayRouteTableArn: pulumi.Output<string>;
    /**
     * The ID of the local gateway route table.
     */
    readonly localGatewayRouteTableId: pulumi.Output<string>;
    /**
     * The ID of the local gateway route table virtual interface group association.
     */
    readonly localGatewayRouteTableVirtualInterfaceGroupAssociationId: pulumi.Output<string>;
    /**
     * The ID of the local gateway route table virtual interface group.
     */
    readonly localGatewayVirtualInterfaceGroupId: pulumi.Output<string>;
    /**
     * The owner of the local gateway route table virtual interface group association.
     */
    readonly ownerId: pulumi.Output<string>;
    /**
     * The state of the local gateway route table virtual interface group association.
     */
    readonly state: pulumi.Output<string>;
    /**
     * The tags for the local gateway route table virtual interface group association.
     */
    readonly tags: pulumi.Output<outputs.Tag[] | undefined>;
    /**
     * Create a LocalGatewayRouteTableVirtualInterfaceGroupAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: LocalGatewayRouteTableVirtualInterfaceGroupAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a LocalGatewayRouteTableVirtualInterfaceGroupAssociation resource.
 */
export interface LocalGatewayRouteTableVirtualInterfaceGroupAssociationArgs {
    /**
     * The ID of the local gateway route table.
     */
    localGatewayRouteTableId: pulumi.Input<string>;
    /**
     * The ID of the local gateway route table virtual interface group.
     */
    localGatewayVirtualInterfaceGroupId: pulumi.Input<string>;
    /**
     * The tags for the local gateway route table virtual interface group association.
     */
    tags?: pulumi.Input<pulumi.Input<inputs.TagArgs>[]>;
}
