import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::EC2::NetworkInsightsAccessScope
 */
export declare class NetworkInsightsAccessScope extends pulumi.CustomResource {
    /**
     * Get an existing NetworkInsightsAccessScope resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): NetworkInsightsAccessScope;
    /**
     * Returns true if the given object is an instance of NetworkInsightsAccessScope.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is NetworkInsightsAccessScope;
    /**
     * The creation date.
     */
    readonly createdDate: pulumi.Output<string>;
    /**
     * The paths to exclude.
     */
    readonly excludePaths: pulumi.Output<outputs.ec2.NetworkInsightsAccessScopeAccessScopePathRequest[] | undefined>;
    /**
     * The paths to match.
     */
    readonly matchPaths: pulumi.Output<outputs.ec2.NetworkInsightsAccessScopeAccessScopePathRequest[] | undefined>;
    /**
     * The ARN of the Network Access Scope.
     */
    readonly networkInsightsAccessScopeArn: pulumi.Output<string>;
    /**
     * The ID of the Network Access Scope.
     */
    readonly networkInsightsAccessScopeId: pulumi.Output<string>;
    /**
     * The tags.
     */
    readonly tags: pulumi.Output<outputs.Tag[] | undefined>;
    /**
     * The last updated date.
     */
    readonly updatedDate: pulumi.Output<string>;
    /**
     * Create a NetworkInsightsAccessScope resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: NetworkInsightsAccessScopeArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a NetworkInsightsAccessScope resource.
 */
export interface NetworkInsightsAccessScopeArgs {
    /**
     * The paths to exclude.
     */
    excludePaths?: pulumi.Input<pulumi.Input<inputs.ec2.NetworkInsightsAccessScopeAccessScopePathRequestArgs>[]>;
    /**
     * The paths to match.
     */
    matchPaths?: pulumi.Input<pulumi.Input<inputs.ec2.NetworkInsightsAccessScopeAccessScopePathRequestArgs>[]>;
    /**
     * The tags.
     */
    tags?: pulumi.Input<pulumi.Input<inputs.TagArgs>[]>;
}
