import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::SubnetNetworkAclAssociation
 */
export declare class SubnetNetworkAclAssociation extends pulumi.CustomResource {
    /**
     * Get an existing SubnetNetworkAclAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): SubnetNetworkAclAssociation;
    /**
     * Returns true if the given object is an instance of SubnetNetworkAclAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is SubnetNetworkAclAssociation;
    /**
     * Returns the value of this object's AssociationId property.
     */
    readonly associationId: pulumi.Output<string>;
    /**
     * The ID of the network ACL
     */
    readonly networkAclId: pulumi.Output<string>;
    /**
     * The ID of the subnet
     */
    readonly subnetId: pulumi.Output<string>;
    /**
     * Create a SubnetNetworkAclAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: SubnetNetworkAclAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a SubnetNetworkAclAssociation resource.
 */
export interface SubnetNetworkAclAssociationArgs {
    /**
     * The ID of the network ACL
     */
    networkAclId: pulumi.Input<string>;
    /**
     * The ID of the subnet
     */
    subnetId: pulumi.Input<string>;
}
