import * as pulumi from "@pulumi/pulumi";
/**
 * A pseudo-resource that manages which of your ECS task sets is primary.
 */
export declare function getPrimaryTaskSet(args: GetPrimaryTaskSetArgs, opts?: pulumi.InvokeOptions): Promise<GetPrimaryTaskSetResult>;
export interface GetPrimaryTaskSetArgs {
    /**
     * The short name or full Amazon Resource Name (ARN) of the cluster that hosts the service to create the task set in.
     */
    cluster: string;
    /**
     * The short name or full Amazon Resource Name (ARN) of the service to create the task set in.
     */
    service: string;
}
export interface GetPrimaryTaskSetResult {
    /**
     * The ID or full Amazon Resource Name (ARN) of the task set.
     */
    readonly taskSetId?: string;
}
/**
 * A pseudo-resource that manages which of your ECS task sets is primary.
 */
export declare function getPrimaryTaskSetOutput(args: GetPrimaryTaskSetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPrimaryTaskSetResult>;
export interface GetPrimaryTaskSetOutputArgs {
    /**
     * The short name or full Amazon Resource Name (ARN) of the cluster that hosts the service to create the task set in.
     */
    cluster: pulumi.Input<string>;
    /**
     * The short name or full Amazon Resource Name (ARN) of the service to create the task set in.
     */
    service: pulumi.Input<string>;
}
