"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentityProviderConfig = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * An object representing an Amazon EKS IdentityProviderConfig.
 */
class IdentityProviderConfig extends pulumi.CustomResource {
    /**
     * Get an existing IdentityProviderConfig resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new IdentityProviderConfig(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of IdentityProviderConfig.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === IdentityProviderConfig.__pulumiType;
    }
    /**
     * Create a IdentityProviderConfig resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.clusterName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'clusterName'");
            }
            if ((!args || args.type === undefined) && !opts.urn) {
                throw new Error("Missing required property 'type'");
            }
            resourceInputs["clusterName"] = args ? args.clusterName : undefined;
            resourceInputs["identityProviderConfigName"] = args ? args.identityProviderConfigName : undefined;
            resourceInputs["oidc"] = args ? args.oidc : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["type"] = args ? args.type : undefined;
            resourceInputs["identityProviderConfigArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["clusterName"] = undefined /*out*/;
            resourceInputs["identityProviderConfigArn"] = undefined /*out*/;
            resourceInputs["identityProviderConfigName"] = undefined /*out*/;
            resourceInputs["oidc"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["type"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["clusterName", "identityProviderConfigName", "oidc", "type"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(IdentityProviderConfig.__pulumiType, name, resourceInputs, opts);
    }
}
exports.IdentityProviderConfig = IdentityProviderConfig;
/** @internal */
IdentityProviderConfig.__pulumiType = 'aws-native:eks:IdentityProviderConfig';
//# sourceMappingURL=identityProviderConfig.js.map