import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Glue::Database
 */
export declare function getDatabase(args: GetDatabaseArgs, opts?: pulumi.InvokeOptions): Promise<GetDatabaseResult>;
export interface GetDatabaseArgs {
    /**
     * The name of the database. For hive compatibility, this is folded to lowercase when it is store.
     */
    databaseName: string;
}
export interface GetDatabaseResult {
    /**
     * The AWS account ID for the account in which to create the catalog object.
     */
    readonly catalogId?: string;
    /**
     * The metadata for the database.
     */
    readonly databaseInput?: outputs.glue.DatabaseInput;
}
/**
 * Resource Type definition for AWS::Glue::Database
 */
export declare function getDatabaseOutput(args: GetDatabaseOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDatabaseResult>;
export interface GetDatabaseOutputArgs {
    /**
     * The name of the database. For hive compatibility, this is folded to lowercase when it is store.
     */
    databaseName: pulumi.Input<string>;
}
