"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.FhirDatastore = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * HealthLake FHIR Datastore
 */
class FhirDatastore extends pulumi.CustomResource {
    /**
     * Get an existing FhirDatastore resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new FhirDatastore(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of FhirDatastore.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === FhirDatastore.__pulumiType;
    }
    /**
     * Create a FhirDatastore resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.datastoreTypeVersion === undefined) && !opts.urn) {
                throw new Error("Missing required property 'datastoreTypeVersion'");
            }
            resourceInputs["datastoreName"] = args ? args.datastoreName : undefined;
            resourceInputs["datastoreTypeVersion"] = args ? args.datastoreTypeVersion : undefined;
            resourceInputs["identityProviderConfiguration"] = args ? args.identityProviderConfiguration : undefined;
            resourceInputs["preloadDataConfig"] = args ? args.preloadDataConfig : undefined;
            resourceInputs["sseConfiguration"] = args ? args.sseConfiguration : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["datastoreArn"] = undefined /*out*/;
            resourceInputs["datastoreEndpoint"] = undefined /*out*/;
            resourceInputs["datastoreId"] = undefined /*out*/;
            resourceInputs["datastoreStatus"] = undefined /*out*/;
        }
        else {
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["datastoreArn"] = undefined /*out*/;
            resourceInputs["datastoreEndpoint"] = undefined /*out*/;
            resourceInputs["datastoreId"] = undefined /*out*/;
            resourceInputs["datastoreName"] = undefined /*out*/;
            resourceInputs["datastoreStatus"] = undefined /*out*/;
            resourceInputs["datastoreTypeVersion"] = undefined /*out*/;
            resourceInputs["identityProviderConfiguration"] = undefined /*out*/;
            resourceInputs["preloadDataConfig"] = undefined /*out*/;
            resourceInputs["sseConfiguration"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["datastoreName", "datastoreTypeVersion", "identityProviderConfiguration", "preloadDataConfig", "sseConfiguration"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(FhirDatastore.__pulumiType, name, resourceInputs, opts);
    }
}
exports.FhirDatastore = FhirDatastore;
/** @internal */
FhirDatastore.__pulumiType = 'aws-native:healthlake:FhirDatastore';
//# sourceMappingURL=fhirDatastore.js.map