import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::IoTSiteWise::Dashboard
 */
export declare function getDashboard(args: GetDashboardArgs, opts?: pulumi.InvokeOptions): Promise<GetDashboardResult>;
export interface GetDashboardArgs {
    /**
     * The ID of the dashboard.
     */
    dashboardId: string;
}
export interface GetDashboardResult {
    /**
     * The ARN of the dashboard.
     */
    readonly dashboardArn?: string;
    /**
     * The dashboard definition specified in a JSON literal.
     */
    readonly dashboardDefinition?: string;
    /**
     * A description for the dashboard.
     */
    readonly dashboardDescription?: string;
    /**
     * The ID of the dashboard.
     */
    readonly dashboardId?: string;
    /**
     * A friendly name for the dashboard.
     */
    readonly dashboardName?: string;
    /**
     * A list of key-value pairs that contain metadata for the dashboard.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::IoTSiteWise::Dashboard
 */
export declare function getDashboardOutput(args: GetDashboardOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDashboardResult>;
export interface GetDashboardOutputArgs {
    /**
     * The ID of the dashboard.
     */
    dashboardId: pulumi.Input<string>;
}
