import * as pulumi from "@pulumi/pulumi";
/**
 * A resource schema representing a Lake Formation Tag Association. While tag associations are not explicit Lake Formation resources, this CloudFormation resource can be used to associate tags with Lake Formation entities.
 */
export declare function getTagAssociation(args: GetTagAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetTagAssociationResult>;
export interface GetTagAssociationArgs {
    /**
     * Unique string identifying the resource. Used as primary identifier, which ideally should be a string
     */
    resourceIdentifier: string;
    /**
     * Unique string identifying the resource's tags. Used as primary identifier, which ideally should be a string
     */
    tagsIdentifier: string;
}
export interface GetTagAssociationResult {
    /**
     * Unique string identifying the resource. Used as primary identifier, which ideally should be a string
     */
    readonly resourceIdentifier?: string;
    /**
     * Unique string identifying the resource's tags. Used as primary identifier, which ideally should be a string
     */
    readonly tagsIdentifier?: string;
}
/**
 * A resource schema representing a Lake Formation Tag Association. While tag associations are not explicit Lake Formation resources, this CloudFormation resource can be used to associate tags with Lake Formation entities.
 */
export declare function getTagAssociationOutput(args: GetTagAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTagAssociationResult>;
export interface GetTagAssociationOutputArgs {
    /**
     * Unique string identifying the resource. Used as primary identifier, which ideally should be a string
     */
    resourceIdentifier: pulumi.Input<string>;
    /**
     * Unique string identifying the resource's tags. Used as primary identifier, which ideally should be a string
     */
    tagsIdentifier: pulumi.Input<string>;
}
