import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::MediaLive::CloudWatchAlarmTemplateGroup Resource Type
 */
export declare function getCloudWatchAlarmTemplateGroup(args: GetCloudWatchAlarmTemplateGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetCloudWatchAlarmTemplateGroupResult>;
export interface GetCloudWatchAlarmTemplateGroupArgs {
    identifier: string;
}
export interface GetCloudWatchAlarmTemplateGroupResult {
    /**
     * A cloudwatch alarm template group's ARN (Amazon Resource Name)
     */
    readonly arn?: string;
    /**
     * The date and time of resource creation.
     */
    readonly createdAt?: string;
    /**
     * A resource's optional description.
     */
    readonly description?: string;
    /**
     * A cloudwatch alarm template group's id. AWS provided template groups have ids that start with `aws-`
     */
    readonly id?: string;
    readonly identifier?: string;
    /**
     * The date and time of latest resource modification.
     */
    readonly modifiedAt?: string;
}
/**
 * Definition of AWS::MediaLive::CloudWatchAlarmTemplateGroup Resource Type
 */
export declare function getCloudWatchAlarmTemplateGroupOutput(args: GetCloudWatchAlarmTemplateGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCloudWatchAlarmTemplateGroupResult>;
export interface GetCloudWatchAlarmTemplateGroupOutputArgs {
    identifier: pulumi.Input<string>;
}
