import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::MediaLive::EventBridgeRuleTemplate Resource Type
 */
export declare function getEventBridgeRuleTemplate(args: GetEventBridgeRuleTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetEventBridgeRuleTemplateResult>;
export interface GetEventBridgeRuleTemplateArgs {
    /**
     * Placeholder documentation for __string
     */
    identifier: string;
}
export interface GetEventBridgeRuleTemplateResult {
    /**
     * An eventbridge rule template's ARN (Amazon Resource Name)
     */
    readonly arn?: string;
    /**
     * Placeholder documentation for __timestampIso8601
     */
    readonly createdAt?: string;
    /**
     * A resource's optional description.
     */
    readonly description?: string;
    /**
     * Placeholder documentation for __listOfEventBridgeRuleTemplateTarget
     */
    readonly eventTargets?: outputs.medialive.EventBridgeRuleTemplateTarget[];
    /**
     * The type of event to match with the rule.
     */
    readonly eventType?: enums.medialive.EventBridgeRuleTemplateEventType;
    /**
     * An eventbridge rule template group's id. AWS provided template groups have ids that start with `aws-`
     */
    readonly groupId?: string;
    /**
     * An eventbridge rule template's id. AWS provided templates have ids that start with `aws-`
     */
    readonly id?: string;
    /**
     * Placeholder documentation for __string
     */
    readonly identifier?: string;
    /**
     * Placeholder documentation for __timestampIso8601
     */
    readonly modifiedAt?: string;
    /**
     * A resource's name. Names must be unique within the scope of a resource type in a specific region.
     */
    readonly name?: string;
}
/**
 * Definition of AWS::MediaLive::EventBridgeRuleTemplate Resource Type
 */
export declare function getEventBridgeRuleTemplateOutput(args: GetEventBridgeRuleTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEventBridgeRuleTemplateResult>;
export interface GetEventBridgeRuleTemplateOutputArgs {
    /**
     * Placeholder documentation for __string
     */
    identifier: pulumi.Input<string>;
}
