import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::MediaTailor::SourceLocation Resource Type
 */
export declare function getSourceLocation(args: GetSourceLocationArgs, opts?: pulumi.InvokeOptions): Promise<GetSourceLocationResult>;
export interface GetSourceLocationArgs {
    /**
     * The name of the source location.
     */
    sourceLocationName: string;
}
export interface GetSourceLocationResult {
    /**
     * The access configuration for the source location.
     */
    readonly accessConfiguration?: outputs.mediatailor.SourceLocationAccessConfiguration;
    /**
     * <p>The ARN of the source location.</p>
     */
    readonly arn?: string;
    /**
     * The default segment delivery configuration.
     */
    readonly defaultSegmentDeliveryConfiguration?: outputs.mediatailor.SourceLocationDefaultSegmentDeliveryConfiguration;
    /**
     * The HTTP configuration for the source location.
     */
    readonly httpConfiguration?: outputs.mediatailor.SourceLocationHttpConfiguration;
    /**
     * <p>A list of the segment delivery configurations associated with this resource.</p>
     */
    readonly segmentDeliveryConfigurations?: outputs.mediatailor.SourceLocationSegmentDeliveryConfiguration[];
    /**
     * The tags to assign to the source location.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::MediaTailor::SourceLocation Resource Type
 */
export declare function getSourceLocationOutput(args: GetSourceLocationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSourceLocationResult>;
export interface GetSourceLocationOutputArgs {
    /**
     * The name of the source location.
     */
    sourceLocationName: pulumi.Input<string>;
}
