"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Replicator = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::MSK::Replicator
 */
class Replicator extends pulumi.CustomResource {
    /**
     * Get an existing Replicator resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Replicator(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Replicator.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Replicator.__pulumiType;
    }
    /**
     * Create a Replicator resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.kafkaClusters === undefined) && !opts.urn) {
                throw new Error("Missing required property 'kafkaClusters'");
            }
            if ((!args || args.replicationInfoList === undefined) && !opts.urn) {
                throw new Error("Missing required property 'replicationInfoList'");
            }
            if ((!args || args.serviceExecutionRoleArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'serviceExecutionRoleArn'");
            }
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["kafkaClusters"] = args ? args.kafkaClusters : undefined;
            resourceInputs["replicationInfoList"] = args ? args.replicationInfoList : undefined;
            resourceInputs["replicatorName"] = args ? args.replicatorName : undefined;
            resourceInputs["serviceExecutionRoleArn"] = args ? args.serviceExecutionRoleArn : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["currentVersion"] = undefined /*out*/;
            resourceInputs["replicatorArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["currentVersion"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["kafkaClusters"] = undefined /*out*/;
            resourceInputs["replicationInfoList"] = undefined /*out*/;
            resourceInputs["replicatorArn"] = undefined /*out*/;
            resourceInputs["replicatorName"] = undefined /*out*/;
            resourceInputs["serviceExecutionRoleArn"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["description", "kafkaClusters[*]", "replicationInfoList[*].sourceKafkaClusterArn", "replicationInfoList[*].targetCompressionType", "replicationInfoList[*].targetKafkaClusterArn", "replicationInfoList[*].topicReplication.startingPosition", "replicationInfoList[*].topicReplication.topicNameConfiguration", "replicatorName", "serviceExecutionRoleArn"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Replicator.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Replicator = Replicator;
/** @internal */
Replicator.__pulumiType = 'aws-native:msk:Replicator';
//# sourceMappingURL=replicator.js.map