import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource type definition for AWS::NetworkFirewall::RuleGroup
 */
export declare function getRuleGroup(args: GetRuleGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetRuleGroupResult>;
export interface GetRuleGroupArgs {
    /**
     * The Amazon Resource Name (ARN) of the `RuleGroup` .
     */
    ruleGroupArn: string;
}
export interface GetRuleGroupResult {
    /**
     * A description of the rule group.
     */
    readonly description?: string;
    /**
     * An object that defines the rule group rules.
     */
    readonly ruleGroup?: outputs.networkfirewall.RuleGroup;
    /**
     * The Amazon Resource Name (ARN) of the `RuleGroup` .
     */
    readonly ruleGroupArn?: string;
    /**
     * The unique ID of the `RuleGroup` resource.
     */
    readonly ruleGroupId?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     *
     * For more information, see [Tag](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-resource-tags.html) .
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource type definition for AWS::NetworkFirewall::RuleGroup
 */
export declare function getRuleGroupOutput(args: GetRuleGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRuleGroupResult>;
export interface GetRuleGroupOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the `RuleGroup` .
     */
    ruleGroupArn: pulumi.Input<string>;
}
