import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::NetworkManager::Link type describes a link.
 */
export declare function getLink(args: GetLinkArgs, opts?: pulumi.InvokeOptions): Promise<GetLinkResult>;
export interface GetLinkArgs {
    /**
     * The ID of the global network.
     */
    globalNetworkId: string;
    /**
     * The ID of the link.
     */
    linkId: string;
}
export interface GetLinkResult {
    /**
     * The Bandwidth for the link.
     */
    readonly bandwidth?: outputs.networkmanager.LinkBandwidth;
    /**
     * The date and time that the device was created.
     */
    readonly createdAt?: string;
    /**
     * The description of the link.
     */
    readonly description?: string;
    /**
     * The Amazon Resource Name (ARN) of the link.
     */
    readonly linkArn?: string;
    /**
     * The ID of the link.
     */
    readonly linkId?: string;
    /**
     * The provider of the link.
     */
    readonly provider?: string;
    /**
     * The state of the link.
     */
    readonly state?: string;
    /**
     * The tags for the link.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The type of the link.
     */
    readonly type?: string;
}
/**
 * The AWS::NetworkManager::Link type describes a link.
 */
export declare function getLinkOutput(args: GetLinkOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLinkResult>;
export interface GetLinkOutputArgs {
    /**
     * The ID of the global network.
     */
    globalNetworkId: pulumi.Input<string>;
    /**
     * The ID of the link.
     */
    linkId: pulumi.Input<string>;
}
