import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::Rekognition::Collection type creates an Amazon Rekognition Collection. A collection is a logical grouping of information about detected faces which can later be referenced for searches on the group
 */
export declare function getCollection(args: GetCollectionArgs, opts?: pulumi.InvokeOptions): Promise<GetCollectionResult>;
export interface GetCollectionArgs {
    /**
     * ID for the collection that you are creating.
     */
    collectionId: string;
}
export interface GetCollectionResult {
    /**
     * Returns the Amazon Resource Name of the collection.
     */
    readonly arn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::Rekognition::Collection type creates an Amazon Rekognition Collection. A collection is a logical grouping of information about detected faces which can later be referenced for searches on the group
 */
export declare function getCollectionOutput(args: GetCollectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCollectionResult>;
export interface GetCollectionOutputArgs {
    /**
     * ID for the collection that you are creating.
     */
    collectionId: pulumi.Input<string>;
}
