import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Schema for AWS::ServiceCatalog::ServiceAction
 */
export declare function getServiceAction(args: GetServiceActionArgs, opts?: pulumi.InvokeOptions): Promise<GetServiceActionResult>;
export interface GetServiceActionArgs {
    /**
     * The self-service action identifier. For example, `act-fs7abcd89wxyz` .
     */
    id: string;
}
export interface GetServiceActionResult {
    /**
     * A map that defines the self-service action.
     */
    readonly definition?: outputs.servicecatalog.ServiceActionDefinitionParameter[];
    /**
     * The self-service action definition type. For example, `SSM_AUTOMATION` .
     */
    readonly definitionType?: enums.servicecatalog.ServiceActionDefinitionType;
    /**
     * The self-service action description.
     */
    readonly description?: string;
    /**
     * The self-service action identifier. For example, `act-fs7abcd89wxyz` .
     */
    readonly id?: string;
    /**
     * The self-service action name.
     */
    readonly name?: string;
}
/**
 * Resource Schema for AWS::ServiceCatalog::ServiceAction
 */
export declare function getServiceActionOutput(args: GetServiceActionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetServiceActionResult>;
export interface GetServiceActionOutputArgs {
    /**
     * The self-service action identifier. For example, `act-fs7abcd89wxyz` .
     */
    id: pulumi.Input<string>;
}
