import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SSM::ResourceDataSync
 */
export declare function getResourceDataSync(args: GetResourceDataSyncArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceDataSyncResult>;
export interface GetResourceDataSyncArgs {
    /**
     * A name for the resource data sync.
     */
    syncName: string;
}
export interface GetResourceDataSyncResult {
    /**
     * Information about the source where the data was synchronized.
     */
    readonly syncSource?: outputs.ssm.ResourceDataSyncSyncSource;
}
/**
 * Resource Type definition for AWS::SSM::ResourceDataSync
 */
export declare function getResourceDataSyncOutput(args: GetResourceDataSyncOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceDataSyncResult>;
export interface GetResourceDataSyncOutputArgs {
    /**
     * A name for the resource data sync.
     */
    syncName: pulumi.Input<string>;
}
