import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SSMContacts::ContactChannel
 */
export declare function getContactChannel(args: GetContactChannelArgs, opts?: pulumi.InvokeOptions): Promise<GetContactChannelResult>;
export interface GetContactChannelArgs {
    /**
     * The Amazon Resource Name (ARN) of the engagement to a contact channel.
     */
    arn: string;
}
export interface GetContactChannelResult {
    /**
     * The Amazon Resource Name (ARN) of the engagement to a contact channel.
     */
    readonly arn?: string;
    /**
     * The details that SSM Incident Manager uses when trying to engage the contact channel.
     */
    readonly channelAddress?: string;
    /**
     * The device name. String of 6 to 50 alphabetical, numeric, dash, and underscore characters.
     */
    readonly channelName?: string;
}
/**
 * Resource Type definition for AWS::SSMContacts::ContactChannel
 */
export declare function getContactChannelOutput(args: GetContactChannelOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContactChannelResult>;
export interface GetContactChannelOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the engagement to a contact channel.
     */
    arn: pulumi.Input<string>;
}
