import * as pulumi from "@pulumi/pulumi";
/**
 * An AWS Support App resource that creates, updates, reads, and deletes a customer's account alias.
 */
export declare class AccountAlias extends pulumi.CustomResource {
    /**
     * Get an existing AccountAlias resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): AccountAlias;
    /**
     * Returns true if the given object is an instance of AccountAlias.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is AccountAlias;
    /**
     * An account alias associated with a customer's account.
     */
    readonly accountAlias: pulumi.Output<string>;
    /**
     * Unique identifier representing an alias tied to an account
     */
    readonly accountAliasResourceId: pulumi.Output<string>;
    /**
     * Create a AccountAlias resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: AccountAliasArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a AccountAlias resource.
 */
export interface AccountAliasArgs {
    /**
     * An account alias associated with a customer's account.
     */
    accountAlias: pulumi.Input<string>;
}
