import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Transfer::Workflow
 */
export declare function getWorkflow(args: GetWorkflowArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkflowResult>;
export interface GetWorkflowArgs {
    /**
     * A unique identifier for the workflow.
     */
    workflowId: string;
}
export interface GetWorkflowResult {
    /**
     * Specifies the unique Amazon Resource Name (ARN) for the workflow.
     */
    readonly arn?: string;
    /**
     * Key-value pairs that can be used to group and search for workflows. Tags are metadata attached to workflows for any purpose.
     */
    readonly tags?: outputs.Tag[];
    /**
     * A unique identifier for the workflow.
     */
    readonly workflowId?: string;
}
/**
 * Resource Type definition for AWS::Transfer::Workflow
 */
export declare function getWorkflowOutput(args: GetWorkflowOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkflowResult>;
export interface GetWorkflowOutputArgs {
    /**
     * A unique identifier for the workflow.
     */
    workflowId: pulumi.Input<string>;
}
