import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::WorkSpacesWeb::DataProtectionSettings Resource Type
 */
export declare function getDataProtectionSettings(args: GetDataProtectionSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetDataProtectionSettingsResult>;
export interface GetDataProtectionSettingsArgs {
    /**
     * The ARN of the data protection settings resource.
     */
    dataProtectionSettingsArn: string;
}
export interface GetDataProtectionSettingsResult {
    /**
     * A list of web portal ARNs that this data protection settings resource is associated with.
     */
    readonly associatedPortalArns?: string[];
    /**
     * The creation date timestamp of the data protection settings.
     */
    readonly creationDate?: string;
    /**
     * The ARN of the data protection settings resource.
     */
    readonly dataProtectionSettingsArn?: string;
    /**
     * The description of the data protection settings.
     */
    readonly description?: string;
    /**
     * The display name of the data protection settings.
     */
    readonly displayName?: string;
    /**
     * The inline redaction configuration for the data protection settings.
     */
    readonly inlineRedactionConfiguration?: outputs.workspacesweb.DataProtectionSettingsInlineRedactionConfiguration;
    /**
     * The tags of the data protection settings.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::WorkSpacesWeb::DataProtectionSettings Resource Type
 */
export declare function getDataProtectionSettingsOutput(args: GetDataProtectionSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDataProtectionSettingsResult>;
export interface GetDataProtectionSettingsOutputArgs {
    /**
     * The ARN of the data protection settings resource.
     */
    dataProtectionSettingsArn: pulumi.Input<string>;
}
