import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::WorkSpacesWeb::IpAccessSettings Resource Type
 */
export declare function getIpAccessSettings(args: GetIpAccessSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetIpAccessSettingsResult>;
export interface GetIpAccessSettingsArgs {
    /**
     * The ARN of the IP access settings resource.
     */
    ipAccessSettingsArn: string;
}
export interface GetIpAccessSettingsResult {
    /**
     * A list of web portal ARNs that this IP access settings resource is associated with.
     */
    readonly associatedPortalArns?: string[];
    /**
     * The creation date timestamp of the IP access settings.
     */
    readonly creationDate?: string;
    /**
     * The description of the IP access settings.
     */
    readonly description?: string;
    /**
     * The display name of the IP access settings.
     */
    readonly displayName?: string;
    /**
     * The ARN of the IP access settings resource.
     */
    readonly ipAccessSettingsArn?: string;
    /**
     * The IP rules of the IP access settings.
     */
    readonly ipRules?: outputs.workspacesweb.IpAccessSettingsIpRule[];
    /**
     * The tags to add to the IP access settings resource. A tag is a key-value pair.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::WorkSpacesWeb::IpAccessSettings Resource Type
 */
export declare function getIpAccessSettingsOutput(args: GetIpAccessSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIpAccessSettingsResult>;
export interface GetIpAccessSettingsOutputArgs {
    /**
     * The ARN of the IP access settings resource.
     */
    ipAccessSettingsArn: pulumi.Input<string>;
}
